.text-wrap {
  word-wrap: break-word;
  word-break: break-all;
  overflow-wrap: break-word;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
}

.kit.table.cabinet, .rept__table {
  border-collapse: collapse;
  width: 100%;
  border-bottom: 1px solid #9badb9;
  .sorting {
    white-space: nowrap;
    cursor: pointer;
    > .direction {
      display: inline-block;
      vertical-align: middle;
      font-size: 0 !important;
      width: 1rem;
      height: 1rem;
      margin-top: auto;
      margin-bottom: auto;
      margin-left: 0.25rem;
      background-repeat: no-repeat;
      background-position: center;
      background-size: 0.6875rem;
      &.none {
        background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='701 138 16.051 16' fill='rgb%28197%2C209%2C217%29'%3E%3Cg data-name='Group 1122'%3E%3Cg data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-01'%3E%3Cpath d='M705 138l-4 4.8h8z'/%3E%3Cpath stroke='rgb%28197%2C209%2C217%29' d='M705 154v-14.4'/%3E%3C/g%3E%3Cg data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-02'%3E%3Cpath d='M713.051 154l4-4.8h-8z'/%3E%3Cpath stroke='rgb%28197%2C209%2C217%29' d='M713.051 138v14.4'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
      }
      &.up {
        background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='701 138 16.051 16' fill='rgb%2885%2C143%2C204%29'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%234272a4%7D.cls-2%2C.cls-4%7Bfill:%23fff%3Bstroke-miterlimit:10%7D.cls-2%7Bstroke:%234272a4%7D.cls-3%7Bfill:%23c5d1d9%7D.cls-4%7Bstroke:%23c5d1d9%7D%3C/style%3E%3C/defs%3E%3Cg id='Group_1122' data-name='Group 1122' transform='translate(493 -402)'%3E%3Cg id='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B_%26%23x432%3B_%26%23x438%3B%26%23x441%3B%26%23x43A%3B_%26%23x43F%3B%26%23x43E%3B_%26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-01' data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-01'%3E%3Cpath d='M4 0L0 4.8h8z' transform='translate(208 540)'/%3E%3Cpath stroke='rgb%2885%2C143%2C204%29' transform='translate(212 541.6)' d='M0 14.4V0'/%3E%3C/g%3E%3Cg id='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B_%26%23x432%3B_%26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B_%26%23x43F%3B%26%23x43E%3B_%26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-02' data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-02' transform='translate(216.051 540)'%3E%3Cpath id='Path_425' data-name='Path 425' class='cls-3' d='M4 11.8L8 7H0z' transform='translate(0 4.2)'/%3E%3Cpath id='Line_139' data-name='Line 139' class='cls-4' transform='translate(4)' d='M0 0v14.4'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
      }
      &.down {
        background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='773 138 16.051 16' fill='rgb%2885%2C143%2C204%29'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%23c5d1d9%7D.cls-2%2C.cls-4%7Bfill:%23fff%3Bstroke-miterlimit:10%7D.cls-2%7Bstroke:%23c5d1d9%7D%3C/style%3E%3C/defs%3E%3Cg id='Group_1123' data-name='Group 1123' transform='translate(493 -402)'%3E%3Cg id='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B_%26%23x432%3B_%26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B_%26%23x43F%3B%26%23x43E%3B_%26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-01' data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-01' transform='translate(280 540)'%3E%3Cpath id='Path_424' data-name='Path 424' class='cls-1' d='M4 0L0 4.8h8z'/%3E%3Cpath id='Line_138' data-name='Line 138' class='cls-2' transform='translate(4 1.6)' d='M0 14.4V0'/%3E%3C/g%3E%3Cg id='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B_%26%23x432%3B_%26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B_%26%23x43F%3B%26%23x43E%3B_%26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-02' data-name='%26%23x421%3B%26%23x442%3B%26%23x440%3B%26%23x435%3B%26%23x43B%3B%26%23x43E%3B%26%23x447%3B%26%23x43A%3B%26%23x438%3B %26%23x432%3B %26%23x43F%3B%26%23x43E%3B%26%23x438%3B%26%23x441%3B%26%23x43A%3B %26%23x43F%3B%26%23x43E%3B %26%23x43D%3B%26%23x43E%3B%26%23x43C%3B%26%23x435%3B%26%23x440%3B%26%23x443%3B-02'%3E%3Cpath d='M4 11.8L8 7H0z' transform='translate(288.051 544.2)'/%3E%3Cpath stroke='rgb%2885%2C143%2C204%29' transform='translate(292.051 540)' d='M0 0v14.4'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
      }
    }
  }
  td, th {
    position: relative;
    width: 100%;
    &:before {
      content: '';
      position: absolute;
      width: 1px;
      top: 0.25rem;
      bottom: 0.25rem;
      right: 0;
      background: #9badb9;
    }
    &:last-child,
    &.show-all-items-row {
      &:before {
        display: none;
      }
    }
    &.show-all-items-row {
      width: auto !important;
      max-width: none !important;
      min-width: auto !important;
    }
  }
  thead {
    tr.header {
      height: auto;
      background-color: #ededed;
      border-top: 1px solid #9badb9;
      border-bottom: 1px solid #9badb9;
      th {
        vertical-align: middle;
        text-align: left;
        height: auto;
        padding: 0.5rem;
        &:first-child {
          vertical-align: middle;
        }
        input {
          height: 1.375rem;
        }
      }
      &.default {
        height: 3.75rem;
        th {
          height: 3.75rem;
          padding: 0.625rem 0.5rem 0.5rem;
          font-size: 0.8125rem;
        }
      }
      &.small {
        height: 2rem;
        th {
          height: 2rem;
          padding: 0.25rem 0.5rem;
          font-size: 0.6875rem;
        }
      }
    }
  }
  tbody {
    tr {
      border-top: 1px solid #9badb9;
      &.bg.gray {
        background-color:#fafafa;
      }
      &.bg.white {
        background-color: #fff;
      }
      &.bg.blue {
        background-color: #f6faff;
      }
      &.bg.yellow {
        background-color: #fffbe8;
      }
      &.tr.action {
        background-color: #fff;
        border-bottom: 1px solid #9badb9;
        td {
          padding: 0.625rem 0.5rem;
        }
      }
      td {
        padding: 0.25rem 0.5rem;
        height: 4.5rem;
        min-height: 4.5rem;
        font-size: 0.6875rem;
        font-weight: 400;
        line-height: 1.5;
        color: #5b5b5b;
        &.bg.yellow {
          background-color: #fffbe8;
        }
        &.bg.gray {
          background-color: #ededed;
        }
        .aqualink {
          display: inline-block;
          font: inherit;
          font-weight: 400;
          margin: 0;
          padding: 0;
          &.ellipsis {
            display: block;
          }
        }
        p {
          font: inherit !important;
          color: inherit;
          margin: 0;
          padding: 0;
          padding-bottom: 0.25rem;
          white-space: nowrap;
          overflow: hidden;
          width: auto;
          max-width: 100%;
          text-overflow: ellipsis;
          &:first-child {
            padding-top: 0.25rem;
          }
        }
        .price {
          font-size: 0.875rem;
          color: inherit;
          font-weight: inherit;
          &.xs {
            font-size: 0.8125rem;
          }
          &.change-down {
            width: max-content;
            padding-right: 0.75rem;
            //background: url("../../../../images/price-down.svg") no-repeat right 4px;
            background-size: 6px 15px;
          }
          &.change-up {
            width: max-content;
            padding-right: 0.75rem;
            //background: url("../../../../images/price-up.svg") no-repeat right 4px;
            background-size: 6px 15px;
          }
        }
        .onoff {
          margin: 0 auto 0.375rem !important;
          padding: 0 !important;
          .onoff-off {
            padding-right: 0.375rem;
            font-size: 0.6875rem;
          }
          .onoff-on {
            padding-left: 0.375rem;
            font-size: 0.6875rem;
          }

        }
        &:first-child {
          vertical-align: middle;
        }
      }
      &.new {
        border-top-color: #9badb9;
        background-color: #fff;
        & + tr {
          border-top-color: #9badb9;
        }
        & td {
          background-color: "";
        }
        & td:before {
          background-color: #9badb9;
        }
        & td {
          color: #272727;
          font-weight: 900;
        }
        td {
          color: #272727;
          font-weight: 900;
        }
      }
      &.group {
        border-top: none;
        td:before {
          top: 0;
          bottom: 0;
        }
      }
      &:hover, &&:hover, &.bg.white:hover, &.bg.gray:hover, &.bg.yellow:hover, &.bg.blue:hover {
        border-top-color: #adc8e9 !important;
        background-color: #f6faff;
      }
      &:hover + tr, &&:hover + tr, &.bg.white:hover + tr, &.bg.gray:hover + tr, &.bg.yellow:hover + tr, &.bg.blue:hover + tr {
        border-top-color: #adc8e9 !important;
      }
      &:hover td, &&:hover td, &.bg.white:hover td, &.bg.gray:hover td, &.bg.yellow:hover td, &.bg.blue:hover td {
        background-color: transparent !important;
      }
      &:hover td:before, &&:hover td:before, &.bg.white:hover td:before, &.bg.gray:hover td:before, &.bg.yellow:hover td:before, &.bg.blue:hover td:before {
        background-color: #adc8e9 !important;
      }
      &:hover.tr-action, &&:hover.tr-action, &.bg.white:hover.tr-action, &.bg.gray:hover.tr-action, &.bg.yellow:hover.tr-action, &.bg.blue:hover.tr-action {
        border-top-color: #9badb9 !important;
        background-color: #fff;
      }
      &:hover.tr-action + tr, &&:hover.tr-action + tr, &.bg.white:hover.tr-action + tr, &.bg.gray:hover.tr-action + tr, &.bg.yellow:hover.tr-action + tr, &.bg.blue:hover.tr-action + tr {
        border-top-color: #9badb9 !important;
      }
      &:hover.tr-action td, &&:hover.tr-action td, &.bg.white:hover.tr-action td, &.bg.gray:hover.tr-action td, &.bg.yellow:hover.tr-action td, &.bg.blue:hover.tr-action td {
        background-color: "";
      }
      &:hover.tr-action td:before, &&:hover.tr-action td:before, &.bg.white:hover.tr-action td:before, &.bg.gray:hover.tr-action td:before, &.bg.yellow:hover.tr-action td:before, &.bg.blue:hover.tr-action td:before {
        background-color: #9badb9 !important;
      }
      &:hover.tr-action td:before, &&:hover.tr-action td:before, &.bg.white:hover.tr-action td:before, &.bg.gray:hover.tr-action td:before, &.bg.yellow:hover.tr-action td:before, &.bg.blue:hover.tr-action td:before {
        display: none;
      }
    }
    &.selected {
      tr {
        border-top-color: #adc8e9;
        background-color: #f6faff;
        & + tr {
          border-top-color: #adc8e9;
        }
        & td {
          background-color: "";
        }
        & td:before {
          background-color: #adc8e9;
        }
      }
    }
  }

  .group.begin {
    border-top: 1px solid #9badb9;
    td:before {
      top: 0.25rem;
    }
  }
  .group.end {
    td:before {
      bottom: 0.25rem
    }
  }

  &.bordered {
    border-left: 1px solid #9badb9;
    border-right: 1px solid #9badb9;
  }

  &.height-row-mini {
    tbody tr td {
      height: 2.5rem;
      min-height: 2.5rem;
    }
  }

  &.size-sto-outbox {
    tr {
      th, td {
        &:nth-child(1) {
          width: 40px;
          padding-left: 0.6875rem !important;
          max-width: 40px;
          min-width: 40px;
        }
      }
      th, td {
        &:nth-child(2) {
          width: 80px;
          max-width: 80px;
          min-width: 80px;
        }
      }
      th, td {
        &:nth-child(3) {
          width: auto;
          max-width: 0;
          min-width: 170px;
        }
      }
      th, td {
        &:nth-child(4) {
          width: auto;
          max-width: 0;
          min-width: 250px;
        }
      }
      th, td {
        &:nth-child(5) {
          width: auto;
          max-width: 0;
          min-width: 200px;
        }
      }
      th, td {
        &:nth-child(6) {
          width: 150px;
          max-width: 150px;
          min-width: 150px;
        }
      }
    }
  }
  &.size-sto-inbox {
    border-left: 1px solid #9badb9;
    border-right: 1px solid #9badb9;
    tbody tr {
      td {
        color: #000;
        vertical-align: top;
        padding: 0.625rem 0.5rem;
      }
      th, td {
        &:nth-child(1) {
          width: auto;
          max-width: 0;
          min-width: 200px;
        }
        &:nth-child(2) {
          width: auto;
          max-width: 0;
          min-width: 150px;
        }
        &:nth-child(3) {
          width: auto;
          max-width: 0;
          min-width: 200px;
        }
        &:nth-child(4) {
          width: 150px;
          max-width: 150px;
          min-width: 150px;
        }
      }
    }
  }
}




